← OBPv7.0.0 Update co_benefits PUT /obp/v7.0.0/banks/ogcr/dynamic-entities/co_benefits/CO_BENEFITS_ID OBPv7.0.0-dynamicEntity_updateco_benefits_ogcr Roles: CanUpdateDynamicEntityRecord_co_benefits(per bank) _Co_benefits(ogcr)Dynamic-EntityDynamic Update co_benefits. Parsed entity co_benefits. This Dynamic Entity is part of OGCR. MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"co_benefits" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "co_benefit_id": "string", "co_benefit_name": "string" } Example success response { "bank_id": "ogcr", "co_benefits": { "co_benefits_id": "d8839721-ad8f-45dd-9f78-2080414b93f9", "co_benefit_id": "string", "co_benefit_name": "string" }, "metadata": { "created": { "at": "2026-09-30T10:12:00Z", "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "updated": { "at": "2026-09-30T11:40:00Z", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" } } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.